#include <iostream>
#include <vector>

#define SYNC ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0); cerr.tie(0)
#define TAK cout << "Tak" << "\n"
#define NIE cout << "Nie" << "\n"

using namespace std;

struct Test {
	int N, M, K;
};

int main() {
	SYNC;

	int T;

	cin >> T;

	vector<Test> tst(T);

	for (int i = 0; i < T; i++) {
		cin >> tst[i].N >> tst[i].M >> tst[i].K;
	}

	for (int i = 0; i < T; i++) {
		if (tst[i].N >= tst[i].K) {
			if (tst[i].N > 1) {
				if (tst[i].M > 0 && tst[i].M >= tst[i].N) {
					if (tst[i].M > 2 && tst[i].N > 2) {
						TAK;
					}
					else {
						NIE;
					}
				}
				else {
					NIE;
				}
			}
			else {
				if (tst[i].N != 0) {
					if (tst[i].M > 0) {
						TAK;
					}
					else {
						NIE;
					}
				}
				else {
					NIE;
				}
			}
		}
		else {
			NIE;
		}
	}

	cout << "\n";
	return 0;
}